org.gradle.tooling.model.cpp

## Interface SourceFile

-     @Incubating
      public interface SourceFile

  Provides details about a particular source file.
  Since:
    4.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getObjectFile()` Returns the object file produced for the source file.
    `File` | `getSourceFile()` Returns the source file.

- - ### Method Detail

    - #### getSourceFile

          File getSourceFile()

      Returns the source file.

    - #### getObjectFile

          File getObjectFile()

      Returns the object file produced for the source file.